if not(libisloaded('ps4000'))
    loadlibrary('ps4000','ps4000Api.h')
end

UnitHandle = 1;
[open_status UnitHandle] = calllib('ps4000','ps4000OpenUnit',UnitHandle);
disp(strcat('OpenUnit=',num2str(open_status)))

String = char(uint16(ones(1,127)));
String_ptr = libpointer('voidPtr',[uint16(String) 0]);
StringLength = int16(128);
RequiredSize = int16(128);
RequiredSize_Ptr = libpointer('int16Ptr',RequiredSize);
InfoCode = uint32(4);
[info_status String] = calllib('ps4000','ps4000GetUnitInfo',UnitHandle,String,StringLength,RequiredSize_Ptr,InfoCode);

disp(strcat('GetUnitInfo=',num2str(info_status)));

disp(strcat('PicoSerial=',String))

close_status = calllib('ps4000','ps4000CloseUnit',UnitHandle);
disp(strcat('Closing ',num2str(close_status)))

%%
unloadlibrary('ps4000');


